remove initscripts altogether
authorThierry Parmentelat <thierry.parmentelat@inria.fr>
Sun, 30 Dec 2018 17:54:55 +0000 (18:54 +0100)
committerThierry Parmentelat <thierry.parmentelat@inria.fr>
Sun, 30 Dec 2018 17:54:55 +0000 (18:54 +0100)
initscripts/conf_files [deleted file]
initscripts/fuse-pl [deleted file]
initscripts/nm [deleted file]

diff --git a/initscripts/conf_files b/initscripts/conf_files
deleted file mode 100755 (executable)
index cbf27bf..0000000
+++ /dev/null
@@ -1,22 +0,0 @@
-#!/bin/bash
-#
-# conf_files       Updates node configuration files at startup
-#
-# chkconfig: 3 20 80
-# description: Updates node configuration files at startup
-#
-
-# Source function library.
-. /etc/init.d/functions
-
-case "$1" in
-    start|restart|reload)
-       shift
-       action $"Updating node configuration files: " python /usr/share/NodeManager/conf_files.py $*
-       ;;
-    *)
-       echo $"Usage: $0 {start|restart}"
-       exit 1
-esac
-
-exit 0
diff --git a/initscripts/fuse-pl b/initscripts/fuse-pl
deleted file mode 100755 (executable)
index 9336d98..0000000
+++ /dev/null
@@ -1,65 +0,0 @@
-#!/bin/bash
-#
-# fuse-pl      Start FUSE support on PlanetLab
-#
-# chkconfig: 3 87 27
-# description: Start FUSE support on PlanetLab
-#
-
-# Source function library.
-. /etc/init.d/functions
-
-: ${UTIL_VSERVER_VARS:=`echo /usr/lib*/util-vserver/util-vserver-vars`}
-test -e "$UTIL_VSERVER_VARS" || {
-    echo "Can not find util-vserver installation; aborting..."
-    exit 1
-}
-. "$UTIL_VSERVER_VARS"
-
-
-PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
-MOUNTPOINT=/sys/fs/fuse/connections
-
-case "$1" in
-    start|restart|reload)
-       shift
-       # stolen from the /etc/init.d/fuse that comes with the fuse source
-        if ! grep -qw fuse /proc/filesystems; then
-                echo -n "Loading fuse module"
-                if ! modprobe fuse >/dev/null 2>&1; then
-                        echo " failed!"
-                        exit 0
-                else
-                        echo "."
-                fi
-        fi
-        if grep -qw fusectl /proc/filesystems && \
-           ! grep -qw $MOUNTPOINT /proc/mounts; then
-                echo -n "Mounting fuse control filesystem"
-                if ! mount -t fusectl fusectl $MOUNTPOINT >/dev/null 2>&1; then
-                        echo " failed!"
-                        exit 1
-                else
-                        echo "."
-                fi
-        fi
-        # end stolen code
-       #
-        # To enable FUSE for existing slices, copy the FUSE device
-       # node into the slice
-        if [ ! -e /dev/fuse ]; then
-           echo "No FUSE device!  Exiting."
-           exit -1
-       fi
-       for slice in `ls $__CONFDIR`; do
-           cp -a /dev/fuse $__DEFAULT_VSERVERDIR/$slice/dev/ > /dev/null 2>&1
-       done
-       ;;
-    stop)
-       ;;
-    *)
-       echo $"Usage: $0 {start|restart|stop}"
-       exit 1
-esac
-
-exit 0
diff --git a/initscripts/nm b/initscripts/nm
deleted file mode 100755 (executable)
index 13f30ed..0000000
+++ /dev/null
@@ -1,75 +0,0 @@
-#!/bin/bash
-#
-# nm       Starts and stops Node Manager daemon
-#
-# chkconfig: 3 97 26
-# description: Starts and stops Node Manager daemon
-#
-
-# Source function library.
-. /etc/init.d/functions
-
-[ -f /etc/sysconfig/nodemanager ] && . /etc/sysconfig/nodemanager
-
-# Wait for libvirt to finish initializing
-sleep 10
-
-options=${OPTIONS-"-d"}
-# turn on verbosity
-verboseoptions=${DEBUGOPTIONS-"-v -d"}
-# debug mode is interactive, and has faster period 
-# run in deamon mode with service nm restardebug -d
-debugoptions=${DEBUGOPTIONS-"-v -p 30 -r 15"}
-
-nodemanager=${NODEMANAGER-"python /usr/share/NodeManager/nodemanager.py"}
-prog="Node Manager"
-pidfile=${PIDFILE-/var/run/nodemanager.pid}
-
-RETVAL=0
-
-function start() {
-    action $"Starting $prog: " daemon --pidfile=$pidfile --check=nodemanager $nodemanager "$@"
-}
-
-function stop() {
-    action $"Stopping $prog: " killproc -p $pidfile nodemanager
-}
-
-case "$1" in
-    start)
-       start $options
-       ;;
-    stop)
-       stop
-       ;;
-    status)
-       status -p $pidfile nodemanager
-       RETVAL=$?
-       ;;
-    restart|reload)
-       shift
-       stop
-       start $options "$@"
-       ;;
-    condrestart)
-       shift
-       [ -f ${pidfile} ] && { stop; start $options "$@"; }
-       ;;
-    restartverbose)
-       shift
-       stop
-       $nodemanager $verboseoptions "$@"
-       ;;
-    restartdebug)
-       shift
-       stop
-       echo "Restarting with $debugoptions $@ .."
-       $nodemanager $debugoptions "$@"
-       ;;
-    *)
-       echo $"Usage: $0 {start|stop|status|restart|condrestart|restartdebug [-d]}"
-       exit 1
-       ;;
-esac
-
-exit $RETVAL